package modules.cfs;

import com.classpath.zip.ZipFile;
import com.one.ArchiveContainer;
import com.one.FileSource;
import filemanager.main;
import java.io.IOException;

public class ZipFileSource implements FileSource
{
	public void createFile(String filename) throws IOException
	{
		ArchiveContainer container = new ZipFile();

		container.init(filename, true);
		container.close();

		main.FileSelect.showWait(filename.substring(filename.lastIndexOf('/') + 1));
	}
}
